## mycompiler.mybytecode
Class MethodInfo

    java.lang.Object
      mycompiler.mybytecode.MethodInfo

    public class MethodInfo

extends java.lang.Object

Constructor Summary
`MethodInfo()`

Method Summary
`void` `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`short` `get_access_flags()`
`de.dhbwstuttgart.typeinference.Menge` `get_attributes()`
`short` `get_descriptor_index()`
`short` `get_name_index()`
`void` `set_access_flags(short t)`
`void` `set_attributes(de.dhbwstuttgart.typeinference.Menge t)`
`void` `set_descriptor_index(short t)`
`void` `set_name_index(short t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInfo

    public MethodInfo()

Method Detail

### get_access_flags

    public short get_access_flags()

### get_name_index

    public short get_name_index()

### get_descriptor_index

    public short get_descriptor_index()

### get_attributes

    public de.dhbwstuttgart.typeinference.Menge get_attributes()

### set_access_flags

    public void set_access_flags(short t)

### set_name_index

    public void set_name_index(short t)

### set_descriptor_index

    public void set_descriptor_index(short t)

### set_attributes

    public void set_attributes(de.dhbwstuttgart.typeinference.Menge t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)
                 throws JVMCodeException

  Throws:
    `JVMCodeException`